# Visualization
TKV3d
AIS

# AIS_DataMapOfSelStat Class Reference

`#include <AIS_DataMapOfSelStat.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS_DataMapOfSelStat (const Standard_Integer NbBuckets=1)
Standard_EXPORT AIS_DataMapOfSelStat & | Assign (const AIS_DataMapOfSelStat &Other)
AIS_DataMapOfSelStat & | operator= (const AIS_DataMapOfSelStat &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~AIS_DataMapOfSelStat ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(SelectMgr_SelectableObject)&K, const Handle(AIS_LocalStatus)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(SelectMgr_SelectableObject)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(SelectMgr_SelectableObject)&K)
Standard_EXPORT const Handle_AIS_LocalStatus & | Find (const Handle(SelectMgr_SelectableObject)&K) const
const Handle_AIS_LocalStatus & | operator() (const Handle(SelectMgr_SelectableObject)&K) const
Standard_EXPORT Handle_AIS_LocalStatus & | ChangeFind (const Handle(SelectMgr_SelectableObject)&K)
Handle_AIS_LocalStatus & | operator() (const Handle(SelectMgr_SelectableObject)&K)

## Private Member Functions

Standard_EXPORT | AIS_DataMapOfSelStat (const AIS_DataMapOfSelStat &Other)

## Constructor & Destructor Documentation

Standard_EXPORT AIS_DataMapOfSelStat::AIS_DataMapOfSelStat | ( | const Standard_Integer | NbBuckets = `1` | ) |

AIS_DataMapOfSelStat::~AIS_DataMapOfSelStat | ( |  | ) | `[inline]`

Standard_EXPORT AIS_DataMapOfSelStat::AIS_DataMapOfSelStat | ( | const AIS_DataMapOfSelStat & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT AIS_DataMapOfSelStat& AIS_DataMapOfSelStat::Assign | ( | const AIS_DataMapOfSelStat & | Other | ) |

Standard_EXPORT Standard_Boolean AIS_DataMapOfSelStat::Bind | ( | const Handle(SelectMgr_SelectableObject)& | K,
|  | const Handle(AIS_LocalStatus)& | I
| ) |

Standard_EXPORT Handle_AIS_LocalStatus& AIS_DataMapOfSelStat::ChangeFind | ( | const Handle(SelectMgr_SelectableObject)& | K | ) |

Standard_EXPORT void AIS_DataMapOfSelStat::Clear | ( |  | ) |

Standard_EXPORT const Handle_AIS_LocalStatus& AIS_DataMapOfSelStat::Find | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | const

Standard_EXPORT Standard_Boolean AIS_DataMapOfSelStat::IsBound | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | const

void AIS_DataMapOfSelStat::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS_DataMapOfSelStat::operator new | ( | size_t | size | ) | `[inline]`

void* AIS_DataMapOfSelStat::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_AIS_LocalStatus& AIS_DataMapOfSelStat::operator() | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | `[inline]`

const Handle_AIS_LocalStatus& AIS_DataMapOfSelStat::operator() | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | const`[inline]`

AIS_DataMapOfSelStat& AIS_DataMapOfSelStat::operator= | ( | const AIS_DataMapOfSelStat & | Other | ) | `[inline]`

Standard_EXPORT void AIS_DataMapOfSelStat::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean AIS_DataMapOfSelStat::UnBind | ( | const Handle(SelectMgr_SelectableObject)& | K | ) |

The documentation for this class was generated from the following file:

- AIS_DataMapOfSelStat.hxx